%define upstream_name    Log-Defer
%define upstream_version 0.312

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Deferred logs and timers
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Log/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Guard)
BuildArch:  noarch

%description
I believe a lot of log processing is done too early.

This module helps you defer log processing in two ways:

* Defer recording of log messages until some "transaction" has completed

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc COPYING Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.312.0-2.mga6
+ Revision: 1029329
- Rebuild for perl 5.22.2

* Fri Apr 15 2016 shlomif <shlomif> 0.312.0-1.mga6
+ Revision: 1002118
- update to 0.312

* Mon Feb 08 2016 umeabot <umeabot> 0.311.0-5.mga6
+ Revision: 949930
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 0.311.0-4.mga5
+ Revision: 790729
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.311.0-3.mga5
+ Revision: 741384
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.311.0-2.mga5
+ Revision: 685259
- Mageia 5 Mass Rebuild

* Tue Apr 15 2014 jquelin <jquelin> 0.311.0-1.mga5
+ Revision: 614846
- update to 0.311

* Tue Oct 22 2013 umeabot <umeabot> 0.310.0-2.mga4
+ Revision: 542218
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 sander85 <sander85> 0.310.0-1.mga4
+ Revision: 497121
- update to 0.310

* Mon Jun 03 2013 jquelin <jquelin> 0.300.0-1.mga4
+ Revision: 436567
- imported package perl-Log-Defer


* Mon Jun 03 2013 cpan2dist 0.300-1mga
- initial mageia release, generated with cpan2dist
